C======  N! ============================
      INTEGER FUNCTION IFACT(N)
      IF(N.GE.13) PRINT 55,N
55    FORMAT(' N=',I5,
     * '  IN IFACT  ARGUMENT MORE THEN  13'
     * / ' ',88('*'))
      J=1
      DO 1 I=1,N
    1 J=J*I
      IFACT=J
      IF(N .LE.-1) IFACT=0
      RETURN
      END
